<?php

	require("commons.php");
	
	/*
		2 arguments needes.	
		word			The function name to look up
		filename		complete path to current file
	*/
	if(!isset($argv[1]) && !isset($argv[2])) {
		return "";
	}
	$word = trim($argv[1]);
	$filename = $argv[2];
	
	$matches = parse_ctags($filename);
	
	$matches = preg_grep("/^$word.*function.*/", $matches);

	foreach ($matches as $line_num => $line) {
		// clean the ctags output
		$line = preg_replace('/.*function\s(\w+\(.*\)).*/','$1',$line);
		// and show the function declaration
		echo $line."\n";
	}
?>