<?php

	require("commons.php");

	/*
		2 arguments needes.	
		word			The function name to look up
		filename		complete path to current file
	*/
	if(!isset($argv[1]) && !isset($argv[2])) {
		return "";
	}
	$word = trim($argv[1]);
	$filename = $argv[2];
	$dir = $argv[3];
	
//	if(!preg_match('^[\w_]+$', $word)) {
//		die();
//	}
	
	$matches = parse_ctags($filename, $dir);

	$matches = array_values(preg_grep("/^$word.*function.*/", $matches));
	
	if(count($matches) == 1) {
		$line = $matches[0];
		$declaration = preg_replace('/.*function\s\w+(\(.*\)).*/','$1',$line);
		// and show the function declaration
		$arguments = preg_replace_callback("/\\$([^ ,)]+)/", "make_snippet", $declaration);
		$name = preg_replace("/^$word([^ ()]*).*/", '$1', $line);
//		echo "::".$word."::".$name;
		echo $name.$arguments;
	}
	
?>